Форум русскоязычного сообщества Ubuntu


Автор Тема: Ошибка зависимостей при upgrade  (Прочитано 1508 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн compodraiser

  • Автор темы
  • Новичок
  • *
  • Сообщений: 6
  • kUbuntu 17.04
    • Просмотр профиля
Ошибка зависимостей при upgrade
« : 04 Сентябрь 2017, 11:13:38 »
Господа, помоги новичку :)
Поймал ошибку, причём поймал давненько, поэтому как именно -- не вспомню
При попытке обновить пакеты, получаю

(Нажмите, чтобы показать/скрыть)

Выполнение описанной выше команды так же не даёт результата

(Нажмите, чтобы показать/скрыть)

Подскажите, как вылечить. kUbuntu 17.04
« Последнее редактирование: 04 Сентябрь 2017, 12:05:27 от compodraiser »

Оффлайн ecc83

  • Старожил
  • *
  • Сообщений: 2078
  • Lubuntu 16.04 LTS
    • Просмотр профиля
Re: Ошибка зависимостей при upgrade
« Ответ #1 : 04 Сентябрь 2017, 11:49:59 »
Поймал ошибку, причём поймал давненько, поэтому как именно -- не вспомню

Давай я напомню. Попытка установить видеодрайвер и deb пакета просто скаченного из интернета.
Чего делать крайне не рекомендуется, но ты ведь сам знаешь как тебе лучше? ;)

Удали эти пакеты. Имена файлов пакетов указано в твоих логах.

Оффлайн compodraiser

  • Автор темы
  • Новичок
  • *
  • Сообщений: 6
  • kUbuntu 17.04
    • Просмотр профиля
Re: Ошибка зависимостей при upgrade
« Ответ #2 : 04 Сентябрь 2017, 12:00:13 »
Поймал ошибку, причём поймал давненько, поэтому как именно -- не вспомню

Давай я напомню. Попытка установить видеодрайвер и deb пакета просто скаченного из интернета.
Чего делать крайне не рекомендуется, но ты ведь сам знаешь как тебе лучше? ;)

Удали эти пакеты. Имена файлов пакетов указано в твоих логах.

Если Вы про apt remove, то тоже не выходит, пытался.

(Нажмите, чтобы показать/скрыть)
« Последнее редактирование: 04 Сентябрь 2017, 12:04:45 от compodraiser »

Оффлайн ecc83

  • Старожил
  • *
  • Сообщений: 2078
  • Lubuntu 16.04 LTS
    • Просмотр профиля
Re: Ошибка зависимостей при upgrade
« Ответ #3 : 04 Сентябрь 2017, 12:12:23 »
Если Вы про apt remove, то тоже не выходит, пытался.

Нет, apt remove удаляет пакеты, установленные в систему с помощью пакетного менеджера. Твои пакеты НЕ установлены вовсе, они валяются в кеше и при любой попытке обновить пакеты, менеджер ругается, потому что они ему "мешают", а установить он их не может.

Попробуй так:

sudo rm -f /var/cache/apt/archives/libdrm-amdgpu1_2.4.83+git1708311830.05a830~gd~z_amd64.deb
sudo rm -f /var/cache/apt/archives/libdrm-amdgpu1_2.4.83+git1708311830.05a830~gd~z_i386.deb
sudo rm /var/lib/apt/lists/* -vf
sudo apt-get update

Оффлайн compodraiser

  • Автор темы
  • Новичок
  • *
  • Сообщений: 6
  • kUbuntu 17.04
    • Просмотр профиля
Re: Ошибка зависимостей при upgrade
« Ответ #4 : 04 Сентябрь 2017, 12:17:53 »
Если Вы про apt remove, то тоже не выходит, пытался.

Нет, apt remove удаляет пакеты, установленные в систему с помощью пакетного менеджера. Твои пакеты НЕ установлены вовсе, они валяются в кеше и при любой попытке обновить пакеты, менеджер ругается, потому что они ему "мешают", а установить он их не может.

Попробуй так:

sudo rm -f /var/cache/apt/archives/libdrm-amdgpu1_2.4.83+git1708311830.05a830~gd~z_amd64.deb
sudo rm -f /var/cache/apt/archives/libdrm-amdgpu1_2.4.83+git1708311830.05a830~gd~z_i386.deb
sudo rm /var/lib/apt/lists/* -vf
sudo apt-get update

Выполнил команды ^, после попробовал apt upgrade, снова получил

(Нажмите, чтобы показать/скрыть)

Оффлайн Azure

  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 6015
  • Windows10, i3wm on Debian9, Manjaro20.0
    • Просмотр профиля
Re: Ошибка зависимостей при upgrade
« Ответ #5 : 04 Сентябрь 2017, 12:25:09 »
Попытайтесь выполнить
sudo apt --fix-broken purge
В Линукс можно сделать ВСЁ что угодно, достаточно знать КАК !

Оффлайн compodraiser

  • Автор темы
  • Новичок
  • *
  • Сообщений: 6
  • kUbuntu 17.04
    • Просмотр профиля
Re: Ошибка зависимостей при upgrade
« Ответ #6 : 04 Сентябрь 2017, 12:35:20 »
Попытайтесь выполнить
sudo apt --fix-broken purge
Выполнил, попытался обновиться. Вроде всё встало, но в конце получил

(Нажмите, чтобы показать/скрыть)

Оффлайн Azure

  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 6015
  • Windows10, i3wm on Debian9, Manjaro20.0
    • Просмотр профиля
Re: Ошибка зависимостей при upgrade
« Ответ #7 : 04 Сентябрь 2017, 12:43:48 »
Если указанные в ошибке файлы есть по указанным путям — удалите их. Потом опять sudo apt --fix-broken purge
В Линукс можно сделать ВСЁ что угодно, достаточно знать КАК !

Оффлайн compodraiser

  • Автор темы
  • Новичок
  • *
  • Сообщений: 6
  • kUbuntu 17.04
    • Просмотр профиля
Re: Ошибка зависимостей при upgrade
« Ответ #8 : 04 Сентябрь 2017, 12:58:09 »
В итоге, после всех вышеописанных советов, бахнул atp autoremove, ребутнулся

Оффлайн Azure

  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 6015
  • Windows10, i3wm on Debian9, Manjaro20.0
    • Просмотр профиля
Re: Ошибка зависимостей при upgrade
« Ответ #9 : 04 Сентябрь 2017, 13:01:06 »
бахнул
Какой классный технический термин! Вот и гадай теперь, помогло|не помогло?
В Линукс можно сделать ВСЁ что угодно, достаточно знать КАК !

Оффлайн compodraiser

  • Автор темы
  • Новичок
  • *
  • Сообщений: 6
  • kUbuntu 17.04
    • Просмотр профиля
Re: Ошибка зависимостей при upgrade
« Ответ #10 : 04 Сентябрь 2017, 13:37:49 »
бахнул
Какой классный технический термин! Вот и гадай теперь, помогло|не помогло?
Прошу прощения, забыл дописать. Да, помогло. После этого без проблем выполнил apt upgrade, всё ок.
Спасибо всем, кто помог :)

Оффлайн ecc83

  • Старожил
  • *
  • Сообщений: 2078
  • Lubuntu 16.04 LTS
    • Просмотр профиля
Re: Ошибка зависимостей при upgrade
« Ответ #11 : 04 Сентябрь 2017, 13:50:40 »
compodraiser, и больше не ставь скачаные из инета пакеты, если не знаешь абсолютно точно что делаешь.
А то бахнет и система вовсе не загрузится :)

 

Страница сгенерирована за 0.211 секунд. Запросов: 22.